Skip to main content
PATCH
Update Assistant

Path Parameters

assistant_id
string
required

Body

application/json

Request model for creating assistants

name
string | null

The name of the assistant (auto-generated if not provided)

description
string | null

The description of the assistant. Defaults to null.

config
Config · object | null

Configuration to use for the graph.

graph_id
string
default:agent

The ID of the graph

context
Context · object | null

The context to use for the graph. Useful when graph is configurable.

metadata
Metadata · object | null

Metadata to use for searching and filtering assistants.

Response

Successful Response

Assistant entity model

assistant_id
string
required

Unique identifier for the assistant.

name
string
required

Human-readable name of the assistant.

graph_id
string
required

Identifier of the graph this assistant executes.

user_id
string
required

Identifier of the user who owns this assistant.

version
integer
required

The version of the assistant.

created_at
string<date-time>
required

Timestamp when the assistant was created.

updated_at
string<date-time>
required

Timestamp when the assistant was last updated.

description
string | null

Optional description of the assistant's purpose.

config
Config · object

Configuration passed to the graph at runtime.

context
Context · object

Context variables available to the graph during execution.

metadata_dict
Metadata Dict · object

Arbitrary metadata for searching and filtering.